> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a property

> Update a property's label, group, description, allowed entities, or allowed values



## OpenAPI

````yaml /api-specs/cloud/public-api.json put /api/taxonomy/v1/properties/{propertyId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/properties/{propertyId}:
    put:
      tags:
        - Properties
      summary: Update a property
      description: >-
        Update a property's label, group, description, allowed entities, or
        allowed values
      parameters:
        - description: Property UUID
          name: propertyId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/data-taxonomy-service_server.UpdatePropertyRequest
        description: Property fields to update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_taxonomy.Property'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
components:
  schemas:
    data-taxonomy-service_server.UpdatePropertyRequest:
      type: object
      required:
        - allowedEntities
        - label
      properties:
        allowedEntities:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.EntityType'
        allowedValues:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.AllowedValue'
        description:
          type: string
        groupName:
          type: string
        label:
          type: string
    data-taxonomy-service_taxonomy.Property:
      type: object
      properties:
        allowedEntities:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.EntityType'
        allowedValues:
          type: array
          items:
            $ref: '#/components/schemas/data-taxonomy-service_taxonomy.AllowedValue'
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
        description:
          type: string
        groupName:
          type: string
        id:
          type: string
        label:
          type: string
        status:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PropertyStatus'
        type:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.PropertyType'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/data-taxonomy-service_taxonomy.User'
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.EntityType:
      type: string
      enum:
        - dataset
        - project
        - project_template
        - model
        - model_version
        - app
        - app_version
        - netapp_volume
        - environment
        - policy
        - policy_version
        - data_source
      x-enum-varnames:
        - EntityTypeDataset
        - EntityTypeProject
        - EntityTypeProjectTemplate
        - EntityTypeModel
        - EntityTypeModelVersion
        - EntityTypeApp
        - EntityTypeAppVersion
        - EntityTypeNetappVolume
        - EntityTypeEnvironment
        - EntityTypePolicy
        - EntityTypePolicyVersion
        - EntityTypeDataSource
    data-taxonomy-service_taxonomy.AllowedValue:
      type: object
      properties:
        subfield:
          type: string
        value:
          type: string
    data-taxonomy-service_taxonomy.User:
      type: object
      properties:
        userID:
          type: string
        username:
          type: string
    data-taxonomy-service_taxonomy.PropertyStatus:
      type: string
      enum:
        - active
        - deleted
      x-enum-varnames:
        - PropertyStatusActive
        - PropertyStatusDeleted
    data-taxonomy-service_taxonomy.PropertyType:
      type: string
      enum:
        - text
        - number
        - date
        - boolean
        - url
        - user
        - organization
        - user_or_org
        - select
        - multi_select
      x-enum-varnames:
        - PropertyTypeText
        - PropertyTypeNumber
        - PropertyTypeDate
        - PropertyTypeBoolean
        - PropertyTypeURL
        - PropertyTypeUser
        - PropertyTypeOrganization
        - PropertyTypeUserOrOrg
        - PropertyTypeSelect
        - PropertyTypeMultiSelect

````

## Related topics

- [Properties](/cloud/platform-capabilities/core-concepts/knowledge-management/properties.md)
- [Update Volume](/api-reference/netapp-volumes/update-volume.md)
- [Create or update a policy](/api-reference/governance-policies/create-or-update-a-policy.md)
- [Update App](/api-reference/apps/update-app.md)
